低危 ISC BIND up to 9.9.9-P4/9.10.4-P4/9.11.0-P1 ANY Query Response 拒绝服务漏洞

CVE编号

CVE-2016-9131

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-01-12 19:59:00
漏洞描述
ISC BIND是一套实现了DNS协议的开源软件。ISC BIND 9 Supported Preview Edition是一个预览版。
ISC BIND 9存在RTYPE ANY断言失败拒绝服务漏洞。远程攻击者利用漏洞通过畸形RTYPE ANY查询响应可造成断言失败和守护进程退出,导致拒绝服务。
解决建议
用户可参考如下厂商提供的安全补丁以修复该漏洞:
http://www.isc.org/downloads/BIND/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 isc bind * From
(including)
9.0
Up to
(including)
9.9.8
运行在以下环境
应用 isc bind 9.9.9 -
运行在以下环境
应用 isc bind 9.9.9 b1 -
运行在以下环境
应用 isc bind 9.9.9 b2 -
运行在以下环境
应用 isc bind 9.9.9 p1 -
运行在以下环境
应用 isc bind 9.9.9 p3 -
运行在以下环境
应用 isc bind 9.9.9 p4 -
运行在以下环境
应用 isc bind * From
(including)
9.10.0
Up to
(including)
9.10.3
运行在以下环境
应用 isc bind 9.10.4 b2 -
运行在以下环境
应用 isc bind 9.10.4 b3 -
运行在以下环境
应用 isc bind 9.10.4 p2 -
运行在以下环境
应用 isc bind 9.10.4 p3 -
运行在以下环境
应用 isc bind 9.10.4 p4 -
运行在以下环境
应用 isc bind 9.10.4 rc1 -
运行在以下环境
应用 isc bind 9.11.0 a1 -
运行在以下环境
应用 isc bind 9.11.0 a2 -
运行在以下环境
应用 isc bind 9.11.0 a3 -
运行在以下环境
应用 isc bind 9.11.0 b1 -
运行在以下环境
应用 isc bind 9.11.0 b2 -
运行在以下环境
应用 isc bind 9.11.0 b3 -
运行在以下环境
应用 isc bind 9.11.0 p1 -
运行在以下环境
应用 isc bind 9.11.0 rc1 -
2
运行在以下环境
应用 netapp data_ontap_edge - -
运行在以下环境
应用 netapp hci_management_node - -
运行在以下环境
应用 netapp solidfire - -
运行在以下环境
应用 netapp steelstore_cloud_integrated_storage - -
3
运行在以下环境
系统 alpine_3.2 bind * Up to
(excluding)
9.10.4_p5-r0
4
运行在以下环境
系统 alpine_3.14 bind * Up to
(excluding)
9.10.4_p5-r0
5
运行在以下环境
系统 ubuntu_16.04 bind * Up to
(excluding)
1:9.10.3.dfsg.P4-8ubuntu1.4
6
运行在以下环境
系统 ubuntu_14.04 bind * Up to
(excluding)
1:9.9.5.dfsg-3ubuntu0.11
7
运行在以下环境
系统 suse_12_SP1 bind * Up to
(excluding)
9.9.9P1-53.1
8
运行在以下环境
系统 suse_12_SP2 bind * Up to
(excluding)
9.9.9P1-53.1
9
运行在以下环境
系统 suse_12_SP1 bind * Up to
(excluding)
9.9.9P1-53.1
10
运行在以下环境
系统 suse_12_SP2 bind * Up to
(excluding)
9.9.9P1-53.1
11
运行在以下环境
系统 suse_11_SP4 bind * Up to
(excluding)
9.9.6P1-0.36.1
12
运行在以下环境
系统 opensuse_Leap_42.2 bind * Up to
(excluding)
9.9.9P1-43.1
13
运行在以下环境
系统 opensuse_Leap_42.1 bind * Up to
(excluding)
9.9.9P1-43.1
14
运行在以下环境
系统 alpine_3.11 bind * Up to
(excluding)
9.10.4_p5-r0
15
运行在以下环境
系统 alpine_3.9 bind * Up to
(excluding)
9.10.4_p5-r0
16
运行在以下环境
系统 alpine_3.13 bind * Up to
(excluding)
9.10.4_p5-r0
17
运行在以下环境
系统 alpine_3.5 bind * Up to
(excluding)
9.10.4_p5-r0
18
运行在以下环境
系统 alpine_3.3 bind * Up to
(excluding)
9.10.4_p5-r0
19
运行在以下环境
系统 alpine_3.4 bind * Up to
(excluding)
9.10.4_p5-r0
20
运行在以下环境
系统 alpine_3.12 bind * Up to
(excluding)
9.10.4_p5-r0
21
运行在以下环境
系统 alpine_3.7 bind * Up to
(excluding)
9.10.4_p5-r0
22
运行在以下环境
系统 alpine_3.8 bind * Up to
(excluding)
9.10.4_p5-r0
23
运行在以下环境
系统 alpine_3.10 bind * Up to
(excluding)
9.10.4_p5-r0
24
运行在以下环境
系统 alpine_edge bind * Up to
(excluding)
9.10.4_p5-r0
25
运行在以下环境
系统 alpine_3.6 bind * Up to
(excluding)
9.10.4_p5-r0
26
运行在以下环境
系统 debian_7 bind * Up to
(excluding)
1:9.8.4.dfsg.P1-6+nmu2+deb7u14
27
运行在以下环境
系统 debian_8 bind * Up to
(excluding)
1:9.9.5.dfsg-9+deb8u1
28
运行在以下环境
系统 suse_12_SP1 bind * Up to
(excluding)
9.9.9P1-53.1
29
运行在以下环境
系统 suse_12_SP2 bind * Up to
(excluding)
9.9.9P1-53.1
30
运行在以下环境
系统 fedora_24 bind * Up to
(excluding)
9.9.9-4.P5.fc24
31
运行在以下环境
系统 fedora_25 bind * Up to
(excluding)
9.9.9-4.P5.fc25
32
运行在以下环境
系统 suse_11_SP4 bind * Up to
(excluding)
9.9.6P1-0.36.1
33
运行在以下环境
系统 opensuse_Leap_42.2 bind * Up to
(excluding)
9.9.9P1-43.1
34
运行在以下环境
系统 opensuse_Leap_42.1 bind * Up to
(excluding)
9.9.9P1-43.1
35
运行在以下环境
系统 centos_7 bind * Up to
(excluding)
9.9.4-38.el7_3.1
36
运行在以下环境
系统 oracle_7 bind * Up to
(excluding)
9.9.4-38.el7_3.1
37
运行在以下环境
系统 opensuse_13.2 bind * Up to
(excluding)
9.9.6P1-2.28.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况